package com.capgemini.reports.snecmaobjects.descriptif;

import com.capgemini.framework.teamcenter.authent.TcSession;
import com.capgemini.reports.snecmaobjects.AbstractSnecmaObject;
import com.capgemini.reports.snecmaobjects.visitor.IComponentVisitor;
import com.capgemini.reports.snecmaobjects.visitor.IReceptorVisitor;
import com.teamcenter.soa.client.model.strong.ItemRevision;

/**
 * Class representing a DescriptifRevision.
 */
public class DescriptifRevision extends AbstractSnecmaObject {
    private static final long serialVersionUID = 7170967703658857854L;

    public DescriptifRevision(final TcSession session, final ItemRevision itemRevision) {
        super(session, itemRevision);
    }

    @Override
    public <T> T accept(final IReceptorVisitor<T> aReceptorVisitor) {
        return aReceptorVisitor.visitReceptor(this);
    }

    public <T> T accept(final IComponentVisitor<T> aComponentVisitor) {
        return aComponentVisitor.visitComponent(this);
    }

    @Override
    public boolean isSuperModel() {
        return false;
    }

    @Override
    public boolean isDescriptif() {
        return true;
    }
}
